[SCM] eclipse-cdt - Plug-in for eclipse to handle C/C++ - Debian package. branch, master, updated. c209092aed09df7a9611380b7051d93d9e18138b

Benjamin Drung bdrung-guest at alioth.debian.org
Sun Oct 18 19:34:03 UTC 2009


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "eclipse-cdt - Plug-in for eclipse to handle C/C++ - Debian package.".

The branch, master has been updated
       via  c209092aed09df7a9611380b7051d93d9e18138b (commit)
      from  e50dcd95a5baf1dd6c77ae51ec1f5436070adce9 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit c209092aed09df7a9611380b7051d93d9e18138b
Author: Benjamin Drung <bdrung at ubuntu.com>
Date:   Sun Oct 18 21:33:51 2009 +0200

    Add get-orig-source script.

-----------------------------------------------------------------------

Summary of changes:
 debian/get-orig-source |   48 ++++++++++++++++++++++++++++++++++++++++++++++++
 debian/rules           |    3 +++
 2 files changed, 51 insertions(+), 0 deletions(-)

diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..c1805e6
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,48 @@
+#!/bin/sh
+set -e
+
+VERSION=6.0.1
+CDTTAG=CDT_$(echo $VERSION | sed "s/\./_/g")
+ECLIPSEBASE=/usr/lib/eclipse
+PLUGINDIR=$ECLIPSEBASE/plugins
+
+rm -rf temp
+mkdir -p temp
+cd temp
+mkdir -p home
+mkdir -p ws
+rm -rf org.eclipse.cdt-releng
+cvs -d:pserver:anonymous at dev.eclipse.org:/cvsroot/tools export -r $CDTTAG org.eclipse.cdt-releng/org.eclipse.cdt.releng
+cd org.eclipse.cdt-releng/org.eclipse.cdt.releng/
+
+# The build.xml doesn't fetch master or testing features so we must add this ourselves.
+sed --in-place -e'91,91i\\t\t<ant antfile="build.xml" dir="${pde.build.scripts}" target="fetch">\n\t\t\t<property name="builder" value="${basedir}/master"/>\n\t\t</ant>' build.xml
+sed --in-place -e'91,91i\\t\t<ant antfile="build.xml" dir="${pde.build.scripts}" target="fetch">\n\t\t\t<property name="builder" value="${basedir}/testing"/>\n\t\t</ant>' build.xml
+sed --in-place -e'71,71i\\t\t<ant antfile="build.xml" dir="${pde.build.scripts}" target="preBuild">\n\t\t\t<property name="builder" value="${basedir}/master"/>\n\t\t</ant>' build.xml
+sed --in-place -e'71,71i\\t\t<ant antfile="build.xml" dir="${pde.build.scripts}" target="preBuild">\n\t\t\t<property name="builder" value="${basedir}/testing"/>\n\t\t</ant>' build.xml
+
+# Remove copying of binary jar in build.xml.  We remove this jar so this operation will fail.
+sed --in-place -e "/copy file=\"\${buildDirectory}.*net\.sourceforge\.lpg/,/\/>/"d build.xml 
+
+PDEBUILDVERSION=$(ls $PLUGINDIR | grep pde.build_ | sed 's/org.eclipse.pde.build_//')
+java -cp /usr/lib/eclipse/startup.jar \
+     -Duser.home=../../home \
+-XX:CompileCommand="exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith" \
+-XX:CompileCommand="exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init>" \
+-XX:CompileCommand="exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate" \
+-XX:CompileCommand="exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding" \
+     org.eclipse.core.launcher.Main             \
+  -Dpde.build.scripts=$PLUGINDIR/org.eclipse.pde.build_$PDEBUILDVERSION/scripts \
+  -application org.eclipse.ant.core.antRunner \
+  -buildfile build.xml -DbaseLocation=$ECLIPSEBASE \
+  -Dpde.build.scripts=$PLUGINDIR/org.eclipse.pde.build_$PDEBUILDVERSION/scripts \
+  -DcdtTag=$CDTTAG \
+  -DdontUnzip=true fetch
+#eclipse -nosplash -console
+
+find . -name net.*.jar -exec rm {} \;
+
+cd ..
+tar cfz ../../../eclipse-cdt_$VERSION.orig.tar.gz org.eclipse.cdt.releng
+cd ../..
+rm -rf temp
diff --git a/debian/rules b/debian/rules
index b1cbd36..0de5021 100755
--- a/debian/rules
+++ b/debian/rules
@@ -170,5 +170,8 @@ binary-arch: install
 	dh_md5sums -a
 	dh_builddeb -a
 
+get-orig-source:
+	sh debian/get-orig-source
+
 binary: binary-indep binary-arch
 .PHONY: binary binary-arch binary-indep install clean build prepare uncompress patch


hooks/post-receive
-- 
eclipse-cdt - Plug-in for eclipse to handle C/C++ - Debian package.



More information about the pkg-java-commits mailing list